with GNATCOM.Errors;

package body MSHTML.ISecureUrlHost_Interface is

   procedure Initialize (This : in out ISecureUrlHost_Type) is
   begin
      Set_IID (This, IID_ISecureUrlHost);
   end Initialize;

   function Pointer (This : ISecureUrlHost_Type)
     return Pointer_To_ISecureUrlHost
   is
   begin
      return To_Pointer_To_ISecureUrlHost (Address (This));
   end Pointer;

   procedure Attach (This    : in out ISecureUrlHost_Type;
                     Pointer : in     Pointer_To_ISecureUrlHost)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   procedure ValidateSecureUrl
     (This             : ISecureUrlHost_Type;
      pfAllow          : GNATCOM.Types.Pointer_To_long;
      pchUrlInQuestion : GNATCOM.Types.Pointer_To_unsigned_short;
      dwFlags          : Interfaces.C.unsigned_long)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.ValidateSecureUrl
         (Pointer (This),
          pfAllow,
          pchUrlInQuestion,
          dwFlags));

   end ValidateSecureUrl;

end MSHTML.ISecureUrlHost_Interface;

